Create or update a task
curl --request POST \
--url https://thalamus.nerds.nl/api/v1/partner/task \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "callback",
"phone": "+31612345678",
"campaign_uuid": "770e8400-e29b-41d4-a716-446655440000",
"skill_uuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"email": "john@example.com",
"reference": "328099",
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"datetime_start": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://thalamus.nerds.nl/api/v1/partner/task"
payload = {
"type": "callback",
"phone": "+31612345678",
"campaign_uuid": "770e8400-e29b-41d4-a716-446655440000",
"skill_uuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"email": "john@example.com",
"reference": "328099",
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"datetime_start": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'callback',
phone: '+31612345678',
campaign_uuid: '770e8400-e29b-41d4-a716-446655440000',
skill_uuid: '550e8400-e29b-41d4-a716-446655440000',
name: 'John Doe',
email: 'john@example.com',
reference: '328099',
agent_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
comment: '<string>',
datetime_start: '2023-11-07T05:31:56Z'
})
};
fetch('https://thalamus.nerds.nl/api/v1/partner/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"type": "<string>",
"phone": "<string>",
"name": "<string>",
"email": "<string>",
"status": "<string>",
"campaign_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"datetime_start": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"type": "<string>",
"phone": "<string>",
"name": "<string>",
"email": "<string>",
"status": "<string>",
"campaign_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"datetime_start": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Validation failed: body is required"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or revoked API key"
}
}Tasks
Create or update a task
Creates a new task or updates an existing one if a duplicate is detected (same phone + type + status=open for the partner).
POST
/
task
Create or update a task
Authorizations
Partner API key (e.g. nerds_live_a8f3d9k2m5n7p1q4r6t8v0w2x4y6z8)
Body
application/json
Available options:
callback, appointment, ticket, chat, abandoned Example:
"callback"
Example:
"+31612345678"
Example:
"770e8400-e29b-41d4-a716-446655440000"
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"John Doe"
Example:
"john@example.com"
Ticket ID to link to this queue record
Example:
"328099"
Assign to specific agent
⌘I